hw_api::srcsofdst
hw_api::user
Hyperwave API Functions
PHP Manual

# hw_api::unlock

Unlocks a locked object

### Description

bool hw_api::unlock ( array `$parameter` )

Unlocks a locked object. Only the user who has locked the object and the system user may unlock an object.

### Parameters

`parameter`

  The parameter array contains the required element 'objectIdentifier' and the optional parameters 'mode' and 'objectquery'. The meaning of 'mode' is the same as in function hwapi_lock.

### Return Values

Returns `TRUE` on success or an object of class HW_API_Error.

### See Also

- hw_api::lock